Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network36.2.0.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
36.2.0.0
Broadcast address
36.2.31.255
First usable
36.2.0.1
Last usable
36.2.31.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 24020000 · Integer 604110848 to 604119039
Reverse DNS zones
0.2.36.in-addr.arpa
1.2.36.in-addr.arpa
2.2.36.in-addr.arpa
3.2.36.in-addr.arpa
4.2.36.in-addr.arpa
5.2.36.in-addr.arpa
6.2.36.in-addr.arpa
7.2.36.in-addr.arpa
8.2.36.in-addr.arpa
9.2.36.in-addr.arpa
10.2.36.in-addr.arpa
11.2.36.in-addr.arpa
12.2.36.in-addr.arpa
13.2.36.in-addr.arpa
14.2.36.in-addr.arpa
15.2.36.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00100100.00000010.00000000.0000000036.2.0.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network00100100.00000010.00000000.0000000036.2.0.0
Broadcast00100100.00000010.00011111.1111111136.2.31.255
Split into smaller subnets/28

36.2.0.0/19 makes 512 subnets of /28; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
136.2.0.0/2836.2.0.1 to 36.2.0.1436.2.0.1514
236.2.0.16/2836.2.0.17 to 36.2.0.3036.2.0.3114
336.2.0.32/2836.2.0.33 to 36.2.0.4636.2.0.4714
436.2.0.48/2836.2.0.49 to 36.2.0.6236.2.0.6314
536.2.0.64/2836.2.0.65 to 36.2.0.7836.2.0.7914
636.2.0.80/2836.2.0.81 to 36.2.0.9436.2.0.9514
736.2.0.96/2836.2.0.97 to 36.2.0.11036.2.0.11114
836.2.0.112/2836.2.0.113 to 36.2.0.12636.2.0.12714
936.2.0.128/2836.2.0.129 to 36.2.0.14236.2.0.14314
1036.2.0.144/2836.2.0.145 to 36.2.0.15836.2.0.15914
1136.2.0.160/2836.2.0.161 to 36.2.0.17436.2.0.17514
1236.2.0.176/2836.2.0.177 to 36.2.0.19036.2.0.19114
1336.2.0.192/2836.2.0.193 to 36.2.0.20636.2.0.20714
1436.2.0.208/2836.2.0.209 to 36.2.0.22236.2.0.22314
1536.2.0.224/2836.2.0.225 to 36.2.0.23836.2.0.23914
1636.2.0.240/2836.2.0.241 to 36.2.0.25436.2.0.25514
1736.2.1.0/2836.2.1.1 to 36.2.1.1436.2.1.1514
1836.2.1.16/2836.2.1.17 to 36.2.1.3036.2.1.3114
1936.2.1.32/2836.2.1.33 to 36.2.1.4636.2.1.4714
2036.2.1.48/2836.2.1.49 to 36.2.1.6236.2.1.6314
2136.2.1.64/2836.2.1.65 to 36.2.1.7836.2.1.7914
2236.2.1.80/2836.2.1.81 to 36.2.1.9436.2.1.9514
2336.2.1.96/2836.2.1.97 to 36.2.1.11036.2.1.11114
2436.2.1.112/2836.2.1.113 to 36.2.1.12636.2.1.12714
2536.2.1.128/2836.2.1.129 to 36.2.1.14236.2.1.14314
2636.2.1.144/2836.2.1.145 to 36.2.1.15836.2.1.15914
2736.2.1.160/2836.2.1.161 to 36.2.1.17436.2.1.17514
2836.2.1.176/2836.2.1.177 to 36.2.1.19036.2.1.19114
2936.2.1.192/2836.2.1.193 to 36.2.1.20636.2.1.20714
3036.2.1.208/2836.2.1.209 to 36.2.1.22236.2.1.22314
3136.2.1.224/2836.2.1.225 to 36.2.1.23836.2.1.23914
3236.2.1.240/2836.2.1.241 to 36.2.1.25436.2.1.25514
3336.2.2.0/2836.2.2.1 to 36.2.2.1436.2.2.1514
3436.2.2.16/2836.2.2.17 to 36.2.2.3036.2.2.3114
3536.2.2.32/2836.2.2.33 to 36.2.2.4636.2.2.4714
3636.2.2.48/2836.2.2.49 to 36.2.2.6236.2.2.6314
3736.2.2.64/2836.2.2.65 to 36.2.2.7836.2.2.7914
3836.2.2.80/2836.2.2.81 to 36.2.2.9436.2.2.9514
3936.2.2.96/2836.2.2.97 to 36.2.2.11036.2.2.11114
4036.2.2.112/2836.2.2.113 to 36.2.2.12636.2.2.12714
4136.2.2.128/2836.2.2.129 to 36.2.2.14236.2.2.14314
4236.2.2.144/2836.2.2.145 to 36.2.2.15836.2.2.15914
4336.2.2.160/2836.2.2.161 to 36.2.2.17436.2.2.17514
4436.2.2.176/2836.2.2.177 to 36.2.2.19036.2.2.19114
4536.2.2.192/2836.2.2.193 to 36.2.2.20636.2.2.20714
4636.2.2.208/2836.2.2.209 to 36.2.2.22236.2.2.22314
4736.2.2.224/2836.2.2.225 to 36.2.2.23836.2.2.23914
4836.2.2.240/2836.2.2.241 to 36.2.2.25436.2.2.25514
4936.2.3.0/2836.2.3.1 to 36.2.3.1436.2.3.1514
5036.2.3.16/2836.2.3.17 to 36.2.3.3036.2.3.3114
5136.2.3.32/2836.2.3.33 to 36.2.3.4636.2.3.4714
5236.2.3.48/2836.2.3.49 to 36.2.3.6236.2.3.6314
5336.2.3.64/2836.2.3.65 to 36.2.3.7836.2.3.7914
5436.2.3.80/2836.2.3.81 to 36.2.3.9436.2.3.9514
5536.2.3.96/2836.2.3.97 to 36.2.3.11036.2.3.11114
5636.2.3.112/2836.2.3.113 to 36.2.3.12636.2.3.12714
5736.2.3.128/2836.2.3.129 to 36.2.3.14236.2.3.14314
5836.2.3.144/2836.2.3.145 to 36.2.3.15836.2.3.15914
5936.2.3.160/2836.2.3.161 to 36.2.3.17436.2.3.17514
6036.2.3.176/2836.2.3.177 to 36.2.3.19036.2.3.19114
6136.2.3.192/2836.2.3.193 to 36.2.3.20636.2.3.20714
6236.2.3.208/2836.2.3.209 to 36.2.3.22236.2.3.22314
6336.2.3.224/2836.2.3.225 to 36.2.3.23836.2.3.23914
6436.2.3.240/2836.2.3.241 to 36.2.3.25436.2.3.25514
6536.2.4.0/2836.2.4.1 to 36.2.4.1436.2.4.1514
6636.2.4.16/2836.2.4.17 to 36.2.4.3036.2.4.3114
6736.2.4.32/2836.2.4.33 to 36.2.4.4636.2.4.4714
6836.2.4.48/2836.2.4.49 to 36.2.4.6236.2.4.6314
6936.2.4.64/2836.2.4.65 to 36.2.4.7836.2.4.7914
7036.2.4.80/2836.2.4.81 to 36.2.4.9436.2.4.9514
7136.2.4.96/2836.2.4.97 to 36.2.4.11036.2.4.11114
7236.2.4.112/2836.2.4.113 to 36.2.4.12636.2.4.12714
7336.2.4.128/2836.2.4.129 to 36.2.4.14236.2.4.14314
7436.2.4.144/2836.2.4.145 to 36.2.4.15836.2.4.15914
7536.2.4.160/2836.2.4.161 to 36.2.4.17436.2.4.17514
7636.2.4.176/2836.2.4.177 to 36.2.4.19036.2.4.19114
7736.2.4.192/2836.2.4.193 to 36.2.4.20636.2.4.20714
7836.2.4.208/2836.2.4.209 to 36.2.4.22236.2.4.22314
7936.2.4.224/2836.2.4.225 to 36.2.4.23836.2.4.23914
8036.2.4.240/2836.2.4.241 to 36.2.4.25436.2.4.25514
8136.2.5.0/2836.2.5.1 to 36.2.5.1436.2.5.1514
8236.2.5.16/2836.2.5.17 to 36.2.5.3036.2.5.3114
8336.2.5.32/2836.2.5.33 to 36.2.5.4636.2.5.4714
8436.2.5.48/2836.2.5.49 to 36.2.5.6236.2.5.6314
8536.2.5.64/2836.2.5.65 to 36.2.5.7836.2.5.7914
8636.2.5.80/2836.2.5.81 to 36.2.5.9436.2.5.9514
8736.2.5.96/2836.2.5.97 to 36.2.5.11036.2.5.11114
8836.2.5.112/2836.2.5.113 to 36.2.5.12636.2.5.12714
8936.2.5.128/2836.2.5.129 to 36.2.5.14236.2.5.14314
9036.2.5.144/2836.2.5.145 to 36.2.5.15836.2.5.15914
9136.2.5.160/2836.2.5.161 to 36.2.5.17436.2.5.17514
9236.2.5.176/2836.2.5.177 to 36.2.5.19036.2.5.19114
9336.2.5.192/2836.2.5.193 to 36.2.5.20636.2.5.20714
9436.2.5.208/2836.2.5.209 to 36.2.5.22236.2.5.22314
9536.2.5.224/2836.2.5.225 to 36.2.5.23836.2.5.23914
9636.2.5.240/2836.2.5.241 to 36.2.5.25436.2.5.25514
9736.2.6.0/2836.2.6.1 to 36.2.6.1436.2.6.1514
9836.2.6.16/2836.2.6.17 to 36.2.6.3036.2.6.3114
9936.2.6.32/2836.2.6.33 to 36.2.6.4636.2.6.4714
10036.2.6.48/2836.2.6.49 to 36.2.6.6236.2.6.6314
10136.2.6.64/2836.2.6.65 to 36.2.6.7836.2.6.7914
10236.2.6.80/2836.2.6.81 to 36.2.6.9436.2.6.9514
10336.2.6.96/2836.2.6.97 to 36.2.6.11036.2.6.11114
10436.2.6.112/2836.2.6.113 to 36.2.6.12636.2.6.12714
10536.2.6.128/2836.2.6.129 to 36.2.6.14236.2.6.14314
10636.2.6.144/2836.2.6.145 to 36.2.6.15836.2.6.15914
10736.2.6.160/2836.2.6.161 to 36.2.6.17436.2.6.17514
10836.2.6.176/2836.2.6.177 to 36.2.6.19036.2.6.19114
10936.2.6.192/2836.2.6.193 to 36.2.6.20636.2.6.20714
11036.2.6.208/2836.2.6.209 to 36.2.6.22236.2.6.22314
11136.2.6.224/2836.2.6.225 to 36.2.6.23836.2.6.23914
11236.2.6.240/2836.2.6.241 to 36.2.6.25436.2.6.25514
11336.2.7.0/2836.2.7.1 to 36.2.7.1436.2.7.1514
11436.2.7.16/2836.2.7.17 to 36.2.7.3036.2.7.3114
11536.2.7.32/2836.2.7.33 to 36.2.7.4636.2.7.4714
11636.2.7.48/2836.2.7.49 to 36.2.7.6236.2.7.6314
11736.2.7.64/2836.2.7.65 to 36.2.7.7836.2.7.7914
11836.2.7.80/2836.2.7.81 to 36.2.7.9436.2.7.9514
11936.2.7.96/2836.2.7.97 to 36.2.7.11036.2.7.11114
12036.2.7.112/2836.2.7.113 to 36.2.7.12636.2.7.12714
12136.2.7.128/2836.2.7.129 to 36.2.7.14236.2.7.14314
12236.2.7.144/2836.2.7.145 to 36.2.7.15836.2.7.15914
12336.2.7.160/2836.2.7.161 to 36.2.7.17436.2.7.17514
12436.2.7.176/2836.2.7.177 to 36.2.7.19036.2.7.19114
12536.2.7.192/2836.2.7.193 to 36.2.7.20636.2.7.20714
12636.2.7.208/2836.2.7.209 to 36.2.7.22236.2.7.22314
12736.2.7.224/2836.2.7.225 to 36.2.7.23836.2.7.23914
12836.2.7.240/2836.2.7.241 to 36.2.7.25436.2.7.25514
12936.2.8.0/2836.2.8.1 to 36.2.8.1436.2.8.1514
13036.2.8.16/2836.2.8.17 to 36.2.8.3036.2.8.3114
13136.2.8.32/2836.2.8.33 to 36.2.8.4636.2.8.4714
13236.2.8.48/2836.2.8.49 to 36.2.8.6236.2.8.6314
13336.2.8.64/2836.2.8.65 to 36.2.8.7836.2.8.7914
13436.2.8.80/2836.2.8.81 to 36.2.8.9436.2.8.9514
13536.2.8.96/2836.2.8.97 to 36.2.8.11036.2.8.11114
13636.2.8.112/2836.2.8.113 to 36.2.8.12636.2.8.12714
13736.2.8.128/2836.2.8.129 to 36.2.8.14236.2.8.14314
13836.2.8.144/2836.2.8.145 to 36.2.8.15836.2.8.15914
13936.2.8.160/2836.2.8.161 to 36.2.8.17436.2.8.17514
14036.2.8.176/2836.2.8.177 to 36.2.8.19036.2.8.19114
14136.2.8.192/2836.2.8.193 to 36.2.8.20636.2.8.20714
14236.2.8.208/2836.2.8.209 to 36.2.8.22236.2.8.22314
14336.2.8.224/2836.2.8.225 to 36.2.8.23836.2.8.23914
14436.2.8.240/2836.2.8.241 to 36.2.8.25436.2.8.25514
14536.2.9.0/2836.2.9.1 to 36.2.9.1436.2.9.1514
14636.2.9.16/2836.2.9.17 to 36.2.9.3036.2.9.3114
14736.2.9.32/2836.2.9.33 to 36.2.9.4636.2.9.4714
14836.2.9.48/2836.2.9.49 to 36.2.9.6236.2.9.6314
14936.2.9.64/2836.2.9.65 to 36.2.9.7836.2.9.7914
15036.2.9.80/2836.2.9.81 to 36.2.9.9436.2.9.9514
15136.2.9.96/2836.2.9.97 to 36.2.9.11036.2.9.11114
15236.2.9.112/2836.2.9.113 to 36.2.9.12636.2.9.12714
15336.2.9.128/2836.2.9.129 to 36.2.9.14236.2.9.14314
15436.2.9.144/2836.2.9.145 to 36.2.9.15836.2.9.15914
15536.2.9.160/2836.2.9.161 to 36.2.9.17436.2.9.17514
15636.2.9.176/2836.2.9.177 to 36.2.9.19036.2.9.19114
15736.2.9.192/2836.2.9.193 to 36.2.9.20636.2.9.20714
15836.2.9.208/2836.2.9.209 to 36.2.9.22236.2.9.22314
15936.2.9.224/2836.2.9.225 to 36.2.9.23836.2.9.23914
16036.2.9.240/2836.2.9.241 to 36.2.9.25436.2.9.25514
16136.2.10.0/2836.2.10.1 to 36.2.10.1436.2.10.1514
16236.2.10.16/2836.2.10.17 to 36.2.10.3036.2.10.3114
16336.2.10.32/2836.2.10.33 to 36.2.10.4636.2.10.4714
16436.2.10.48/2836.2.10.49 to 36.2.10.6236.2.10.6314
16536.2.10.64/2836.2.10.65 to 36.2.10.7836.2.10.7914
16636.2.10.80/2836.2.10.81 to 36.2.10.9436.2.10.9514
16736.2.10.96/2836.2.10.97 to 36.2.10.11036.2.10.11114
16836.2.10.112/2836.2.10.113 to 36.2.10.12636.2.10.12714
16936.2.10.128/2836.2.10.129 to 36.2.10.14236.2.10.14314
17036.2.10.144/2836.2.10.145 to 36.2.10.15836.2.10.15914
17136.2.10.160/2836.2.10.161 to 36.2.10.17436.2.10.17514
17236.2.10.176/2836.2.10.177 to 36.2.10.19036.2.10.19114
17336.2.10.192/2836.2.10.193 to 36.2.10.20636.2.10.20714
17436.2.10.208/2836.2.10.209 to 36.2.10.22236.2.10.22314
17536.2.10.224/2836.2.10.225 to 36.2.10.23836.2.10.23914
17636.2.10.240/2836.2.10.241 to 36.2.10.25436.2.10.25514
17736.2.11.0/2836.2.11.1 to 36.2.11.1436.2.11.1514
17836.2.11.16/2836.2.11.17 to 36.2.11.3036.2.11.3114
17936.2.11.32/2836.2.11.33 to 36.2.11.4636.2.11.4714
18036.2.11.48/2836.2.11.49 to 36.2.11.6236.2.11.6314
18136.2.11.64/2836.2.11.65 to 36.2.11.7836.2.11.7914
18236.2.11.80/2836.2.11.81 to 36.2.11.9436.2.11.9514
18336.2.11.96/2836.2.11.97 to 36.2.11.11036.2.11.11114
18436.2.11.112/2836.2.11.113 to 36.2.11.12636.2.11.12714
18536.2.11.128/2836.2.11.129 to 36.2.11.14236.2.11.14314
18636.2.11.144/2836.2.11.145 to 36.2.11.15836.2.11.15914
18736.2.11.160/2836.2.11.161 to 36.2.11.17436.2.11.17514
18836.2.11.176/2836.2.11.177 to 36.2.11.19036.2.11.19114
18936.2.11.192/2836.2.11.193 to 36.2.11.20636.2.11.20714
19036.2.11.208/2836.2.11.209 to 36.2.11.22236.2.11.22314
19136.2.11.224/2836.2.11.225 to 36.2.11.23836.2.11.23914
19236.2.11.240/2836.2.11.241 to 36.2.11.25436.2.11.25514
19336.2.12.0/2836.2.12.1 to 36.2.12.1436.2.12.1514
19436.2.12.16/2836.2.12.17 to 36.2.12.3036.2.12.3114
19536.2.12.32/2836.2.12.33 to 36.2.12.4636.2.12.4714
19636.2.12.48/2836.2.12.49 to 36.2.12.6236.2.12.6314
19736.2.12.64/2836.2.12.65 to 36.2.12.7836.2.12.7914
19836.2.12.80/2836.2.12.81 to 36.2.12.9436.2.12.9514
19936.2.12.96/2836.2.12.97 to 36.2.12.11036.2.12.11114
20036.2.12.112/2836.2.12.113 to 36.2.12.12636.2.12.12714
20136.2.12.128/2836.2.12.129 to 36.2.12.14236.2.12.14314
20236.2.12.144/2836.2.12.145 to 36.2.12.15836.2.12.15914
20336.2.12.160/2836.2.12.161 to 36.2.12.17436.2.12.17514
20436.2.12.176/2836.2.12.177 to 36.2.12.19036.2.12.19114
20536.2.12.192/2836.2.12.193 to 36.2.12.20636.2.12.20714
20636.2.12.208/2836.2.12.209 to 36.2.12.22236.2.12.22314
20736.2.12.224/2836.2.12.225 to 36.2.12.23836.2.12.23914
20836.2.12.240/2836.2.12.241 to 36.2.12.25436.2.12.25514
20936.2.13.0/2836.2.13.1 to 36.2.13.1436.2.13.1514
21036.2.13.16/2836.2.13.17 to 36.2.13.3036.2.13.3114
21136.2.13.32/2836.2.13.33 to 36.2.13.4636.2.13.4714
21236.2.13.48/2836.2.13.49 to 36.2.13.6236.2.13.6314
21336.2.13.64/2836.2.13.65 to 36.2.13.7836.2.13.7914
21436.2.13.80/2836.2.13.81 to 36.2.13.9436.2.13.9514
21536.2.13.96/2836.2.13.97 to 36.2.13.11036.2.13.11114
21636.2.13.112/2836.2.13.113 to 36.2.13.12636.2.13.12714
21736.2.13.128/2836.2.13.129 to 36.2.13.14236.2.13.14314
21836.2.13.144/2836.2.13.145 to 36.2.13.15836.2.13.15914
21936.2.13.160/2836.2.13.161 to 36.2.13.17436.2.13.17514
22036.2.13.176/2836.2.13.177 to 36.2.13.19036.2.13.19114
22136.2.13.192/2836.2.13.193 to 36.2.13.20636.2.13.20714
22236.2.13.208/2836.2.13.209 to 36.2.13.22236.2.13.22314
22336.2.13.224/2836.2.13.225 to 36.2.13.23836.2.13.23914
22436.2.13.240/2836.2.13.241 to 36.2.13.25436.2.13.25514
22536.2.14.0/2836.2.14.1 to 36.2.14.1436.2.14.1514
22636.2.14.16/2836.2.14.17 to 36.2.14.3036.2.14.3114
22736.2.14.32/2836.2.14.33 to 36.2.14.4636.2.14.4714
22836.2.14.48/2836.2.14.49 to 36.2.14.6236.2.14.6314
22936.2.14.64/2836.2.14.65 to 36.2.14.7836.2.14.7914
23036.2.14.80/2836.2.14.81 to 36.2.14.9436.2.14.9514
23136.2.14.96/2836.2.14.97 to 36.2.14.11036.2.14.11114
23236.2.14.112/2836.2.14.113 to 36.2.14.12636.2.14.12714
23336.2.14.128/2836.2.14.129 to 36.2.14.14236.2.14.14314
23436.2.14.144/2836.2.14.145 to 36.2.14.15836.2.14.15914
23536.2.14.160/2836.2.14.161 to 36.2.14.17436.2.14.17514
23636.2.14.176/2836.2.14.177 to 36.2.14.19036.2.14.19114
23736.2.14.192/2836.2.14.193 to 36.2.14.20636.2.14.20714
23836.2.14.208/2836.2.14.209 to 36.2.14.22236.2.14.22314
23936.2.14.224/2836.2.14.225 to 36.2.14.23836.2.14.23914
24036.2.14.240/2836.2.14.241 to 36.2.14.25436.2.14.25514
24136.2.15.0/2836.2.15.1 to 36.2.15.1436.2.15.1514
24236.2.15.16/2836.2.15.17 to 36.2.15.3036.2.15.3114
24336.2.15.32/2836.2.15.33 to 36.2.15.4636.2.15.4714
24436.2.15.48/2836.2.15.49 to 36.2.15.6236.2.15.6314
24536.2.15.64/2836.2.15.65 to 36.2.15.7836.2.15.7914
24636.2.15.80/2836.2.15.81 to 36.2.15.9436.2.15.9514
24736.2.15.96/2836.2.15.97 to 36.2.15.11036.2.15.11114
24836.2.15.112/2836.2.15.113 to 36.2.15.12636.2.15.12714
24936.2.15.128/2836.2.15.129 to 36.2.15.14236.2.15.14314
25036.2.15.144/2836.2.15.145 to 36.2.15.15836.2.15.15914
25136.2.15.160/2836.2.15.161 to 36.2.15.17436.2.15.17514
25236.2.15.176/2836.2.15.177 to 36.2.15.19036.2.15.19114
25336.2.15.192/2836.2.15.193 to 36.2.15.20636.2.15.20714
25436.2.15.208/2836.2.15.209 to 36.2.15.22236.2.15.22314
25536.2.15.224/2836.2.15.225 to 36.2.15.23836.2.15.23914
25636.2.15.240/2836.2.15.241 to 36.2.15.25436.2.15.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses